import QtQuick 2.7
import QtQuick.Controls 2.0
import QtQuick.Layouts 1.0
import NgExplorer.QmlGlobal 1.0 as G

ApplicationWindow {
    visible: true
    width: 300
    height: 300
    title: qsTr("Hello World")

    background: Rectangle{
        color: "LightGrey"
    }

    Image {
        anchors.centerIn: parent
        width: testImageSize
        height: testImageSize
        source: G.QmlHelper.getFileImage(testImageSource)
        sourceSize: Qt.size(width, height)
        asynchronous: true
    }
}
