#include <windows.h>
#include "qml_helper.h"
#include "shell-icon-provider.h"

QObject* QmlHelper::qmlGetInstance(QQmlEngine *engine, QJSEngine *scriptEngine)
{
    Q_UNUSED(engine)
    Q_UNUSED(scriptEngine)

    static QmlHelper *object = nullptr;
    if (object == nullptr)
        object = new QmlHelper();
    return object;
}

QString QmlHelper::getFileImage(const QString &file)
{
    return ShellIconProvider::getImageURIByPath(file);
}
