#ifndef _STRING_UTIL_H_
#define _STRING_UTIL_H_

#include <windows.h>
#include <QtCore>
#include <memory>
using namespace std;

struct WcharArray
{
public:
    static shared_ptr<WcharArray> fromQString(const QString& str)
    {
        shared_ptr<WcharArray> result((WcharArray*)calloc(sizeof(WcharArray) + str.size() * sizeof(wchar_t), sizeof(BYTE)), [](void* p) {free(p); });
        str.toWCharArray(result->data);
        return result;
    }

    int     size;
    wchar_t data[1];
};

#endif